ST_IsEmpty
Prev | 12.4. Raster Accessors | Next

## Name

ST_IsEmpty — Returns true if the raster is empty (width = 0 and height = 0). Otherwise, returns false.

## Synopsis

`boolean ST_IsEmpty(`raster rast`)`;

## Description

Returns true if the raster is empty (width = 0 and height = 0). Otherwise, returns false.

Availability: 2.0.0

## Examples

    SELECT ST_IsEmpty(ST_MakeEmptyRaster(100, 100, 0, 0, 0, 0, 0, 0))
    st_isempty |
    -----------+
    f          |

    SELECT ST_IsEmpty(ST_MakeEmptyRaster(0, 0, 0, 0, 0, 0, 0, 0))
    st_isempty |
    -----------+
    t          |

## See Also

ST_HasNoBand

Prev | Up | Next
ST_Height | Home | ST_MemSize